# Changelog

## 3.0.13 - 2024-01-16

### Fixes

- BugFix: Error when activating plugin on some sites

## 3.0.11 - 2023-11-07

### Fixes

- Fix Conflict with Conditional Featured Image plugin

### Features and Improvements

- Tested up to WP 6.4

## 3.0.10 - 2023-08-12

- Tested up to WP 6.3
- Fix php deprecation warnings

## 3.0.9 - 2023-07-05

- Improved nonce verification and capability checks before setting featured image

## 3.0.8

- Prevent conflicts with other plugins that use the leaflet library
- Improved nonce verification and capability checks
- Fix PHP warning in CMB2 library

## 3.0.7

- Improved: Hide hidden image from assistive technology
- Fixed: SVG desc markup
- Fixed: PHP undefined index error
- Fixed: RSS feed compatibility

## 3.0.5

- Improved: Compatibility with WP 6.1
- Fixed: Undefined index error

## 3.0.4

- Improved: Better user experience in new drawing tool

## 3.0.3

- Improved: Handling of interactive images in Google Search Console

## 3.0.2

- Improved: New drawing interface adds support for circles, rectangles, and polygons!
- Fixed: Conflict with MainWP

## 3.0.0

- Improved: New drawing tool for hotspots

## 1.13.10

- Improved: Blur hotspots on mouseout for hover layouts

## 1.13.9

- Improved: Show a warning to administrators when a featured image has not been uploaded
- Fixed: Accessibility typo

## 1.13.7

- Fixed: Unnamed styles and prevent leaflet default when user specifies a style that no longer exists

## 1.13.6

- Fixed: Conflict with unmaintainted plugin: WP Category Permalink
- Fixed: Remove blank H2 if Draw Attention image has no title

## 1.13.5

- Improved: Compatibility with WooCommerce tabs
- Fixed: CMB2 deprecation error

## 1.13.4

- Fixed: Escape hotspot title

## 1.13.3

- Improved: Pause playing audio/video when changing hotspots

## 1.13.2

- Fixed: Undefined index notice

## 1.13.1

- Improved: Don't output unneeded HTML for hotspots that link to a URL
- New: Support for embedding interactive images in Beaver Builder Ultimate Add-ons Accordions and Tabs

## 1.13.0

- Added: Support for image optimization plugins that swap images to webp format
- Added: Support for Beaver Builder accordion

## 1.12.2

- Improved: Handling of tooltip display for links to hotspots

## 1.12.1

- Fixed: Bug in CMB2 affecting users on case-sensitive filesystems

## 1.12.0

- Improved: Upgraded CMB2 library for better compatibility with other plugins

## 1.11.0

- Fixed: Unable to display images when unused image sizes are removed by a media cleaner plugin
- Improved: Support for embedding Draw Attention images in Beaver Builder tabs

## 1.11.8

- Improved: Can close lightbox with Esc key
- Improved: Links in lightbox can receive keyboard focus

## 1.11.7

- Fixed: Error preventing caching plugins from minifying javascript
- Fixed: PHP undefined index warning

## 1.11.6

- Fixed: Remove SVG styles that conflicted with zooming on Safari
- Fixed: Stop videos embedded in lightbox when lightbox is closed

## 1.11.5

- Fixed: Really fixed ability to link to a hotspot

## 1.11.4

- Fixed: Ability to link to a hotspot

## 1.11.3

- Improved: Better support for sites using Jetpack and performance acceleration

## 1.11.2

- Improved: Attempt to avoid conflicts with themes that apply unexpected CSS styles to SVGs

## 1.11.1

- Improved: Close lightbox and scroll to element when same-page anchor link is embedded in lightbox
- Fixed: Hide focus outline on tooltip content when opened

## 1.11.0

- Improved: Better keyboard support for Draw Attention interactive images
- Fixed: Updated contact information for support

## 1.10.11

- Fixed: layout issue with twentyseventeen theme

## 1.10.10

- Added: Author support on Draw Attention post type

## 1.10.9

- Improved: Add support for lazy loading in WP 5.5

## 1.10.8

- Improved: Add support for nesting Draw Attention images in Elementor popups

## 1.10.7

- Fixed: Fix for hover trigger when using Mobile Safari 13

## 1.10.6

- Improved: Able to embed JavaScript-driven shortcodes (like sliders) in the lightbox layout

## 1.10.5

- Fixed: Unable to scroll or pinch zoom on Draw Attention images on touch screen devices

## 1.10.4

- Improved: Added support for nesting Draw Attention images in Elementor tabs

## 1.10.3

- Improved: Replaced rrose with reponsive popup for Leaflet - better tooltip positioning, especially on small screens

## 1.10.2

- Improved: Performance of BigCommerce integration
- Fixed: Bug affecting small image sizes in lightbox layout

## 1.10.1

- Fixed: conflict introduced by latest Yoast SEO release

## 1.10.0

- Added: BigCommerce Integration

## 1.9.13

- Fixed: Showing error message when first clickable area has not been drawn

## 1.9.12

- Fixed: Safari 12 bug with showing more info area

## 1.9.11

- Improved: Tooltip layout for small screens
- Improved: Better CSS support for older browsers
- Fixed: Exporting images used to only show the first page (now shows an unlimited number)

## 1.9.10

- Improved: Export tool exports all images
- Improved: Added support for embedding Draw Attention images in Visual Composer accordions

## 1.9.9

- Fixed: Escape alt attribute for images and areas

## 1.9.8

- Improved: User experience for changing featured image
- Improved: Handle more cases of hash links for hotspots

## 1.9.7

- Improved: Hide tooltip if there is no title for a hotspot

## 1.9.6

- Fixed: Issue affecting Go-to-URL hotspots after smooth scrolling update in 1.9.5

## 1.9.5

- Improved: Add smooth scrolling for URL action to an element on the same page
- Fixed: Unable to scroll or zoom page over image on Chrome on iOS

## 1.9.4

- Improved: Add right-click to get link to hotspot for logged-in admins
- Fixed: Unable to scroll or zoom page over image on iOS

## 1.9.3

- Improved: Make JavaScript more extendable
- Fixed: PHP Notice on some images

## 1.9.2

- Improved: Prevent hover tooltips from requiring scrolling to view content
- Fixed: Image size too small in some cases
- Fixed: Image background color not applying as expected

## 1.9.1

- Improved: Use minified JS file for RRose
- Fixed: Responsive for left/right layout on small screens

## 1.9

- Improved: Brand new front-end rendering using SVG
- Fixed: Updated troubleshooting link for JavaScript errors

## 1.8.15

- Fixed: Removed possible PHP notice on new image styles

## 1.8.14

- Fixed: Removed bad reference to VML behavior in the plugin CSS

## 1.8.13

- Added: Gutenberg Draw Attention block for WP 5.0

## 1.8.12

- Fixed: PHP Notice

## 1.8.11

- Improved: Compatibility with Beaver Builder and Elementor when editing
- Improved: Gutenberg compatibility
- Improved: Support for WP-native video embeds in More Info areas
- Fixed: display of image in Firefox with no content/title in lightbox

## 1.8.10

- Improved: Tooltips on IE11
- Fixed: Issue with "Array" shows up on newly created Draw Attention images

## 1.8.9

- Fixed: Incompatibility with Jetpack Lazy Load image feature

## 1.8.7

- Fixed: Unable to copy the export code for images in some browsers

## 1.8.6

- Improved: Mobile scrolling over active hotspots
- Improved: Moved wpautop() on description text to a filter 'da_description'
- Fixed: Undefined index errors for title and style
- Fixed: Mobile Safari cannot open links in new window (security). Detect Mobile Safari and open links in same window.
- Fixed: Internet Explorer display bugs for more info area

## 1.8.5

- Fixed: Undefined index notice
- Fixed: Handle error when 'Go to URL' is selected but no URL is entered
- Fixed: Conflict with Ninja Forms that prevented users from being able to use the Ninja Forms WYSIWYG editor (Thanks Ninja Forms team!)
- Improved: Compatibility with Visual Composer tabs
- Fixed: URL hotspots not opening on mobile browsers
- Fixed: PHP 7.1 type error

## 1.8.4

- Fixed: Browser compatibility
- Improved: Mobile event handling

## 1.8.3

- Fixed: Creeping More Info box in Internet Explorer
- Fixed: PHP Warning for user styles
- Fixed: Bug that prevented shortcode from being used more than once on a page
- Improved: Tap events on touch screens
- Fixed: Disappearing hotspots in lightbox
- Fixed: Unable to edit hotspots in Firefox
- Fixed: Bootstrap conflict that kept lightboxes and tooltips from working

## 1.8.2

- Improved: Refactored image highlighting to be more performant
- Added: Able to drag to re-order hotspots on an image
- Added: Import/Export functionality for moving all hotspots to another WP install
- Added: Beaver Builder module for adding images to page builder pages
- Improved: Hotspot drawing tool now allows for the entire hotspot to be moved - no more adjusting individual points
- Improved: Snappier animation for switching between hotspot more info content
- Improved: Updated qTip, Featherlight, Mobile Events, and Images Loaded scripts to latest versions
- Added: Always visible option for hotspots to help make them visible - needed for cases where the active areas of the image aren't immediately obvious
- Added: Able to create multiple color schemes for hotspots - have more than one color hotspot per image!

## 1.7.1

- Fixed: Missing detail images on some server environments

## 1.7

- Use wpdrawattention.com domain for updates and support

## 1.6.8

- New: Added troubleshooting note for admins when there's a theme or plugin conflict
- New: Improved compatibility for site migrations

## 1.6.7

- Fixed: Corrected tooltip positioning issues

## 1.6.6

- Fixed: Make canvas for drawing hotspots fill the available width

## 1.6.4

- Fixed: Compatibility with popup blocking in Mobile Safari (iOS 9+)
- Fixed: Mobile safari bug when using tooltip mode and landscape view

## 1.6.3

- Added: Support for interactive images to work within jQuery UI tabs
- Improved: Window resizing and redrawing of image hotspots
- Fixed: Safari bug when navigating back to an image with a clickable area using the URL action

## 1.6.1

- Added: Support for placing Draw Attention inside Divi theme Tabs & Toggles
- Added: Support for Visual Composer AJAX Page Transitions
- Added: Filter to load Draw Attention scripts early & everywhere (for themes using ajax page transitions)
- Fixed: Strict PHP warning for empty more info description

## 1.5.2

- Fixed: Incompatibility with 3rd party theme/plugin javascript in the admin
- Fixed: Scrolling issue with deep-linked hotspots on tall vertical images

## 1.5.1

- Fixed: PHP warnings when WP_DEBUG was on
- Fixed: Scrolling issue with deep-linked hotspots
- Fixed: Styling issue with multiple images on one page (when one used tooltip layout)

## 1.5

- New: Customize background color (behind image) with new color picker added to interface
- New: Link directly to a hotspot (right-click and copy link) - area will be highlighted automatically
- Improved: Update lightbox javascript library

## 1.4.4

- Fixed: Mobile/Touch events required 4 taps for areas with URL action
- Fixed: Shortcode content broken in lightbox and tooltip layouts
- Fixed: Prevent accidental selection of lightbox with hover event

## 1.4.3

- Fixed: Loading more info in IE9 and IE10. Note that these browser do not support the area highlights
- Fixed: Clicking or mousing off a selected area will display the default placeholder text in the left, right, bottom, or top layouts
- Fixed: Potential conflict with other themes and plugins when using the tooltip layout

## 1.4.2

- Fixed: Allow shortcodes in more info area, without using the_content which caused some conflicts with other plugins (ie. showing sharing buttons)

## 1.4.1

- New: Tooltip Layout option
- New: Ability to link an area to a URL (instead of showing more info)
- New: Added image and shortcode columns to "All Images" section in admin
- New: Added Visual/WYSIWYG editor to area descriptions (more info box)
- Improved: Usability on mobile phones and touch devices
- Improved: Portuguese translation
- Fixed: Preview not working in some cases
- Fixed: Compatibility issue with Jetpack Photon
- Fixed: Lightbox ignoring color settings

## 1.3

- New: Easily preview your interactive image using "Preview Changes" or "View Post" in the dashboard
- Improved: Better handling of mobile device changing orientation after interactive image is loaded
- Fixed: Interactive features not working in older versions of Internet Explorer
- Fixed: Image distortion in lightbox layout (for portrait/vertical images)
- Fixed: Unexpected behavior when more than one interactive image is on the same page

## 1.2.1

- New: Add Portuguese translation
- Improved: Better handling of window resizing after interactive image is loaded
- Improved: Add warning message for old servers running PHP 5.2 (Draw Attention requires PHP 5.3+)
- Fixed: Conflict with some themes causing highlighted areas to "jump" when clicked

## 1.2

- New: Improve internationalization
- New: Add layout option to display more info on top
- Improved: Optimize detail image size (don't load full size image for smaller areas)
- Improved: Fade out highlighted area after closing lightbox (lightbox layout only)
- Improved: Handle JS conflicts with other plugins better
- Fixed: More info content not updating in some situations

## 1.1

- New: Add option to choose "Click" (default) or "Hover" event to display more info
- New: Add ability "click off" highlighted areas
- New: Add confirmation alert before deleting highlightable area in the dashboard
- New: CPT icon in dashboard
- New: Set a default color scheme for new images
- Improved: Large images are handled better in lightbox mode
- Fixed: PHP Warnings visible with WP_Debug
- Fixed: PHP Warnings when PHP is in Strict Standards mode

## 1.0

- Initial Release
